ionCube PHP 5.4 auf Server 32 und 64-Bit installieren

  • Dies ist eine Portierung und auch eine kleine Erweiterung ins deutschsprachige aus dem englischsprachigen Beitrag install ioncube PHP5.4 on server 32 bit and 64 bit von Speddy.


    [size=x-large]Server[/size]


    Die Arbeiten finden natürlich in der Konsole statt, geht mit dieser Variante auch schneller ;)


    [size=large]ionCube herunterladen[/size]


    32-Bit:

    Code
    1. wget htp://www.ioncube.com/early_access/phpd-4.1-libs-linux_i686-glibc2.3.4.tgz


    64-Bit

    Code
    1. wget htp://www.ioncube.com/early_access/phpd-4.1-libs-linux_x86_64-glibc2.3.4.tgz


    [size=large]ionCube entpacken[/size]


    32-Bit:

    Code
    1. tar zxvf phpd-4.1-libs-linux_i686-glibc2.3.4.tgz


    64-Bit

    Code
    1. tar zxvf phpd-4.1-libs-linux_x86_64-glibc2.3.4.tgz


    [size=large]Datei ioncube_loader_lin_5.4.so verschieben:[/size]


    Code
    1. mv ioncube/ioncube_loader_lin_5.4.so /usr/lib/php5/20100525+lfs/


    [size=large]ioncube.ini als leere Datei anlegen[/size]
    Via Vi-Editor:

    Code
    1. vi /etc/php5/conf.d/ioncube.ini


    Via Nano-Editor

    Code
    1. nano /etc/php5/conf.d/ioncube.ini


    Den Inhalt Abspeichern.


    [size=large]Folgenden Inhalt Kopieren und als Zeile einfügen[/size]

    Code
    1. zend_extension = /usr/lib/php5/20100525+lfs/ioncube_loader_lin_5.4.so


    [size=large]Apache neu starten:[/size]

    Code
    1. /etc/init.d/apache2 restart

    oder

    Code
    1. service apache2 restart


    [size=large]
    Überprüfen, ob ionCube installiert wurde
    [/size]

    Code
    1. php -v



    Mit PHP Version 5.3 oder ähnlich (siehe php -v) kann ähnlich Verfahren werden, einfach unter

    Code
    1. /usr/lib/php5/<DATUM>+lfs

    nachschauen und die Installationsmethode anpassen und Dateien installieren.

    Edited once, last by Paderman ().

  • Funktioniert die Anleitung bei euch überhaupt noch? ;)

    Edited once, last by Paderman ().

  • Hallo,


    hat jemand eine aktuelle Anleitung?
    Leider funktioniert diese überhaupt nicht.

  • Hallo,


    hat jemand eine aktuelle Anleitung?
    Leider funktioniert diese überhaupt nicht.



    ein paar mehr infos bitte denn bei meinen beiden server geht es bei allen 3 apache versionen.

    my System :



    - Distribution: Debian | Release: 9.8 | Codename: wheezy
    - i-MSCP Version: i-MSCP 1.5.3| Build: 20181208 | Codename: Ennio Morricone
    - Plugins installed: ClamAV (v. 1.2.1), Mailgraph (v 1.1.1), OpenDKIM (v 1.1.3), PanelRedirect (v 1.1.5) & SpamAssassin (v 1.1.1)
    - LetsEncrypt (v3.3.0), PhpSwitcher (v 4.0.1), RoundcubePlugins (v 2.0.1)


    https://www.4sync.com/web/r/dwMJ2VT4